#!/usr/bin/ksh
# run.sh
#
# (C) 1999 8x8, Inc.

echo "Starting IntraSwitch(tm)  iPBX CTI SDK"
echo "Copyright(c) 1999 8x8, Inc."

cd .. 

LIB="lib"

echo Changing to `pwd` directory

CLASSPATH=$LIB/cp.jar

#------------------------------
# JAVAHOME
# Put your path to your JRE 
#-----------------------------
JAVAHOME=jre


JAVA=$JAVAHOME/bin/java

SERVICE_MANAGER=com.odisei.server.servicemanager.ServiceManagerImpl

SERVICE_CFG=config/servicemanager/servicemanager.cfg

CMD="$JAVA -Xmx100m -Djava.security.policy=lib/8x8.policy -classpath $CLASSPATH $SERVICE_MANAGER -d MGCPPORT 49052 -f $SERVICE_CFG -d LIB $LIB"

rm -f /usr/tmp/jar_cache*.tmp

while echo "Starting ---> is version 3.4.4";  do
  $CMD
  case $? in
    0) echo Gracefull shutdown; exit 0;;
    100) echo Gracefull restart;  continue;;
    200) echo Start error; exit 200;;
    *) echo Unexpected error; exit 3;;
  esac
done



